Gem rbenv 和 bundler

leomao10 · 2013年03月09日 · 最后由 leomao10 回复于 2013年03月10日 · 2892 次阅读

今天本来是打算尝试用 rbenv + bundler 来代替 rvm,安装 rbenv 的时候一切顺利,在 system ruby 里安装 bundler 也没问题;

但是由于项目所用的 ruby 和 system ruby 的版本不一致,需要在项目所需的 ruby 里面再安装 bundler;更麻烦的是,由于 rbenv 需要指定 ruby 的 patch level, 也就是说如果我手上有 10 个项目,但是这些项目的 patch level 都不一样的话,我需要安装 10 次 bundler.

这对我这种懒人来说太麻烦了,不知各位大侠有什么好的解决方案?

发现 rbenv 有一个 plugin 是做类似的事情:https://github.com/sstephenson/rbenv-default-gems

@alvin2ye 多谢你的回复,但是我试用 rbenv 的一个原因就是想用 bundler 来管理 gemset, 所以没打算用 rbenv-gemset

我昨天试用了 rbenv-default-gems, 似乎没有什么问题

需要 登录 后方可回复, 如果你还没有账号请 注册新账号